
float timeParam;

struct VS_DEFAULT_OUTPUT
{
    float4 position: POSITION;
    float2 texture_coord: TEXCOORD0;
    float4 color: COLOR0;
};

float4 main(VS_DEFAULT_OUTPUT Out, uniform sampler2D u_texture) : COLOR
{
    const float2 scale = float2(0.5, 0.5);
    float2 uv = Out.texture_coord + 0.01*sin(scale*timeParam + length( Out.texture_coord )*10.0);

	return tex2D(u_texture, uv) * Out.color;
}